# Generated from paychex_api-0.0.26.gem by gem2rpm -*- rpm-spec -*-
%global gem_name paychex_api

Name: rubygem-%{gem_name}
Version: 0.0.26
Release: 1%{?dist}
Summary: Paychex API
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(byebug) >= 8.2
# BuildRequires: rubygem(gergich) >= 1.0
# BuildRequires: rubygem(gergich) < 2
# BuildRequires: rubygem(pry) >= 0.12
# BuildRequires: rubygem(rspec) >= 2.6
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(rubocop) >= 0.54
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(simplecov) >= 0.16
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(sinatra) >= 1.0
# BuildRequires: rubygem(sinatra) < 3
# BuildRequires: rubygem(webmock) >= 1.22
BuildArch: noarch

%description
Interface for interacting with the paychex enterprise API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.simplecov
%{gem_instdir}/Dockerfile
%{gem_instdir}/bin
%{gem_instdir}/build.sh
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/paychex_api.gemspec
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.26-1
- Initial package
